<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetControlID Method (IEdmCard5)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmCard5 Interface : GetControlID Method (IEdmCard5)

Visual Basic
C#
C++/CLI

poVariableNameOrID
  ID or name of the variable for which to get the control ID

Gets the ID of the control that is connected to the specified variable in this card.

# Syntax

Visual Basic |
--- | ---

    Function GetControlID( _
       ByRef poVariableNameOrID As System.Object _
    ) As System.Integer

C# |
--- | ---

    System.int GetControlID(
       ref System.object poVariableNameOrID
    )

C++/CLI |
--- | ---

    System.int GetControlID(
    &   System.Object^% poVariableNameOrID
    )

#### Parameters

poVariableNameOrID
  ID or name of the variable for which to get the control ID

#### Return Value

Control ID; 0 if the variable isn't used by any control in this card

# Remarks

If more than one control is connected to the same variable, there is no way of knowing for which control this method returns an ID.

The returned ID can be passed to IEdmCard5::GetControl or IEdmVault5::GetObject in order to obtain IEdmCardControl5.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: The variable was not found.

# See Also

####

IEdmCard5 Interface
IEdmCard5 Members

# Availability

SOLIDWORKS PDM Professional Version 5.2